# 

<a href="https://www.packtpub.com/application-development/hands-software-engineering-python?utm_source=github&utm_medium=repository&utm_campaign="><img src="" alt="" height="256px" align="right"></a>

This is the code repository for [](https://www.packtpub.com/application-development/hands-software-engineering-python?utm_source=github&utm_medium=repository&utm_campaign=), published by Packt.

**Move beyond basic programming and construct reliable and efficient software with complex code**

## What is this book about?
0

This book covers the following exciting features:


If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1788622014) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>

## Instructions and Navigations
All of the code is organized into folders. For example, Chapter02.

The code will look like the following:
```
 def __private_method(self, arg, *args, **kwargs):
        print('%s.__private_method called:' % self.__class__.__name__)
        print('+- arg ...... %s' % arg)
        print('+- args ..... %s' % str(args))
        print('+- kwargs ... %s' % kwargs)
```

**Following is what you need for this book:**
Hands-On Software Engineering with Python is for you if you are a developer having basic understanding of programming and its paradigms and want to skill up as a senior programmer. It is assumed that you have basic Python knowledge.

With the following software and hardware list you can run all code files present in the book (Chapter 1-19).
### Software and Hardware List
| Chapter | Software required | OS required |
| -------- | ------------------------------------ | ----------------------------------- |
| 6-19 | Python 3.5.2 | Windows and Unix (Any) |
| 13 | MongoDB 2.6.10 | Windows and Unix (Any) |
| 16 | RabbitMQ 3.5.7 | Windows and Unix (Any) |
| 18 | NSSM | Windows and Unix (Any) |
|  |  |  |
|  |  |  |
|  |  |  |
|  |  |  |
|  |  |  |
|  |  |  |

We also provide a PDF file that has color images of the screenshots/diagrams used in this book. [Click here to download it](https://www.packtpub.com/sites/default/files/downloads/9781788622011_ColorImages.pdf).

### Related products
* Clean Code in Python [[Packt]](https://www.packtpub.com/application-development/clean-code-python?utm_source=github&utm_medium=repository&utm_campaign=9781788835831 ) [[Amazon]](https://www.amazon.com/dp/1788835832)

*  [[Packt]](https://www.packtpub.com/application-development/mastering-python-design-patterns-second-edition?utm_source=github&utm_medium=repository&utm_campaign=) [[Amazon]](https://www.amazon.com/dp/1788837487)

*  [[Packt]]() [[Amazon]](https://www.amazon.com/dp/)

*  [[Packt]]() [[Amazon]](https://www.amazon.com/dp/)

## Get to Know the Author
**Brian Allbee**
has been writing programs since the mid-1970s, and started a career in software just as the World Wide Web was starting to take off. He has worked in areas as varied as organization membership management, content/asset management, and process and workflow automation in industries as varied as advertising, consumer health advisement, technical publication, and cloud-computing automation. He has focused exclusively on Python solutions for the best part of a decade.

****
0

****
0

****
0

****
0

## Other books by the authors
[]()

[]()

[]()

[]()

[]()

### Suggestions and Feedback
[Click here](https://docs.google.com/forms/d/e/1FAIpQLSdy7dATC6QmEL81FIUuymZ0Wy9vH1jHkvpY57OiMeKGqib_Ow/viewform) if you have any feedback or suggestions.


